<h1 mat-dialog-title>{{isEdit ? "Edit Asset" : "Add Asset"}}</h1>
<form (ngSubmit)="onSubmit()" #assetForm="ngForm" #spy>
    <mat-dialog-content>
        <mat-form-field *ngIf="!isEdit">
            <mat-select placeholder="Asset Type" name="typeSelect" [(ngModel)]="selectedType" (ngModelChange)="onTypeChange($event.name)" required>
                <mat-option *ngFor="let t of types" [value]="t">
                    {{ t.name }}
                </mat-option>
            </mat-select>
        </mat-form-field>

        <mat-form-field *ngIf="isEdit">
            <input matInput placeholder="Asset Type" name="type" [(ngModel)]="asset.assetType" [disabled]="true">
        </mat-form-field>

        <div *ngIf="asset">

            <mat-form-field>
                <input matInput placeholder="Asset Number" name="assetNum" [(ngModel)]="asset.assetNum" [disabled]="isEdit" required minlength="10">
            </mat-form-field>

            <mat-form-field>
                <mat-select placeholder="Location" [(ngModel)]="asset.location" [compareWith]="compareLoc" required name="location">
                    <mat-option *ngFor="let l of locations" [value]="l">
                        {{ l.name }}
                    </mat-option>
                </mat-select>
            </mat-form-field>

            <mat-form-field>
                <input matInput placeholder="Make" name="make" [(ngModel)]="asset.make" required>
            </mat-form-field>

            <mat-form-field>
                <input matInput placeholder="Model" name="model" [(ngModel)]="asset.model" required>
            </mat-form-field>

            <mat-form-field>
                <input matInput placeholder="Serial Number" name="serial" [(ngModel)]="asset.serial">
            </mat-form-field>

            <mat-form-field *ngIf="asset.assetType == 'other'">
                <input matInput placeholder="Description" [(ngModel)]="asset.description" name="description" required>
            </mat-form-field>

            <!--Computer form-->
            <span *ngIf="asset.assetType == 'computer'">
                <mat-form-field>
                    <input matInput placeholder="Name" [(ngModel)]="asset.name" required name="computerName">
                </mat-form-field>

                <mat-form-field>
                    <input matInput placeholder="CPU" [(ngModel)]="asset.cpu" required name="cpu">
                </mat-form-field>

                <mat-form-field>
                    <input matInput placeholder="Memory" [(ngModel)]="asset.memory" required name="memory">
                </mat-form-field>

                <mat-form-field>
                    <input matInput placeholder="Storage" [(ngModel)]="asset.storage" required name="storage">
                </mat-form-field>

                <mat-form-field>
                    <input matInput placeholder="OS" [(ngModel)]="asset.os" required name="os">
                </mat-form-field>

                <mat-checkbox [(ngModel)]="asset.wifi" name="wifi">WiFi Built-In</mat-checkbox>
            </span>

            <!--Network Device form-->
            <span *ngIf="asset.assetType == 'networkDevice'">

                <mat-form-field  >
                    <input matInput placeholder="External IP" [(ngModel)]="asset.external" mask="099.099.099.099" [dropSpecialCharacters]="false" required name="external">
                </mat-form-field>

                <mat-form-field>
                    <input matInput placeholder="Internal IP" [(ngModel)]="asset.internal" mask="099.099.099.099" [dropSpecialCharacters]="false" required name="internal">
                </mat-form-field>
            </span>

            <!--Payment Device form-->
 <!--           <div *ngIf="asset.assetType == 'paymentDevice'">
                <mat-form-field>
                    <input matInput placeholder="Computer" [(ngModel)]="asset.computer" name="computer">
                </mat-form-field>
            </div>-->

            <!--MPOS Device form-->
            <span *ngIf="asset.assetType == 'mposDevice'">
                <mat-form-field>
                    <input matInput placeholder="Name" [(ngModel)]="asset.name" required name="mposName">
                </mat-form-field>
                <mat-form-field>
                    <input matInput placeholder="IMEI" [(ngModel)]="asset.imei"  type="text" name="imei">
                </mat-form-field>
            </span>

            <!--Printer form-->
            <span *ngIf="asset.assetType == 'printer'">
                <mat-form-field>
                    <input matInput placeholder="IP Address" [(ngModel)]="asset.ipAddress" required name="printerIp">
                </mat-form-field>
            </span>

            <!--Notes textarea-->
            <br />
            <mat-form-field class="Notes">
                <textarea matInput placeholder="Notes" [(ngModel)]="asset.notes" name="notes" rows="4"></textarea>
            </mat-form-field>

        </div>

    </mat-dialog-content>

    <mat-dialog-actions>
        <button mat-raised-button type="submit" color="accent" [disabled]="!assetForm.form.valid || isLoading">Save</button>
        <button mat-raised-button type="button" (click)="onCancel()">Cancel</button>
    </mat-dialog-actions>

</form>